Subject: bug#56974: 29.0.50; Missing documentation for former subr-x macros

From: Michael Heerdegen <[email-masked]>
Date: Sat, 06 Aug 2022 03:45:05 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> > +For the sake of backwards compatibility, it is possible to write a
> > +single binding without a binding list:
>
> I'm not sure we need to document this bit.

I don't think we should.

> > +@defmac if-let* (bindings@dots) then &rest else
> > +@code{if-let*} is mostly equivalent to @code{if-let}, with the
> > +exception that the legacy @code{(if (@var{var} (test)) foo bar)}
> > +syntax is not permitted.
> > +@end defmac
>
> So I think it's sufficient to document only the *-less variant.

Ehm - isn't the *-less form the old one we intended to obsolete (because
of it's backwards-compatibility hack), and the *-variant the one we
actually want to advertise?

Michael.